Subject: I-D Action: draft-yang-alto-deliver-functions-over-networks-00.txt

From: [email-masked]
Date: Fri, 29 Nov 2019 21:57:02 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Delivering Functions over Networks: Traffic and Performance Optimization for Edge Computing using ALTO
        Authors         : Shu Yang
                          Laizhong Cui
                          Mingwei Xu
                          Hongfei Shen
                          Lu Chen
	Filename        : draft-yang-alto-deliver-functions-over-networks-00.txt
	Pages           : 9
	Date            : 2019-11-29

Abstract:
   With development of Internet of Thing (IoT), artificial intelligence,
   huge amount of data are generated and need to be processed.  To
   satisfy the user demands, service providers are deploying edge
   computing across lots of data centers, which are closer to users.  In
   order to achieve better performances, computing functions need to be
   scheduled properly over networks.  However, it is challenging to
   deploy functions to the distributed edge servers efficiently due to
   the lack of network traffic information.  [RFC5693] and [RFC7285]
   introduce and define the Application-Layer Traffic Optimization, or
   ALTO, to compute and provide the network information for the
   distributed applications using the ALTO protocol.  In this document,
   we employ the ALTO protocol to deliver functions in edge computing
   platform, where the protocol will provide the network information for
   the distributed edge computing servers and guide the delivery
   process.  The usage of ALTO will improve the efficiency of function
   delivering in edge computing.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-yang-alto-deliver-functions-over-networks/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-yang-alto-deliver-functions-over-networks-00
https://datatracker.ietf.org/doc/html/draft-yang-alto-deliver-functions-over-networks-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/